summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2018-06-01 09:48:15 +0200
committerHans de Graaff <graaff@gentoo.org>2018-06-01 19:11:10 +0200
commit4620539045ef40ae5c70e5196784517f01937700 (patch)
tree98d0e7db9314a628d462c5f9632d318c5bc57e38
parentdev-ruby/safe_yaml: fix issue with missing DateTime constant (diff)
downloadgentoo-4620539045ef40ae5c70e5196784517f01937700.tar.gz
gentoo-4620539045ef40ae5c70e5196784517f01937700.tar.bz2
gentoo-4620539045ef40ae5c70e5196784517f01937700.zip
dev-ruby/crack: add ruby25 revision with new enough safe_yaml
Package-Manager: Portage-2.3.36, Repoman-2.3.9
-rw-r--r--dev-ruby/crack/crack-0.4.3-r2.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-ruby/crack/crack-0.4.3-r2.ebuild b/dev-ruby/crack/crack-0.4.3-r2.ebuild
new file mode 100644
index 00000000000..e74082f18a4
--- /dev/null
+++ b/dev-ruby/crack/crack-0.4.3-r2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md History"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Really simple JSON and XML parsing, ripped from Merb and Rails"
+HOMEPAGE="https://github.com/jnunemaker/crack"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/minitest )"
+ruby_add_rdepend ">=dev-ruby/safe_yaml-1.0.4-r4"
+
+each_ruby_prepare() {
+ # Remove tests which fail when run by portage but pass when run by hand
+ sed -i -e '/{"regex": \/foo.*\/}/d' test/json_test.rb || die
+ sed -i -e '/{"regex": \/foo.*\/i}/d' test/json_test.rb || die
+ sed -i -e '/{"regex": \/foo.*\/mix}/d' test/json_test.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Itest -Ilib -e 'Dir["test/*_test.rb"].each { |f| load f }' || die
+}